#
# spec file for package xdcc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xdcc
Version:        1.1.4
Release:        10.5
Summary:        A wget-like utility for retrieving files from XDCC bots on IRC
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{name}-%{version}/revision/3.cabal#/%{name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ascii-progress-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-concurrent-output-devel
BuildRequires:  ghc-errors-devel
BuildRequires:  ghc-iproute-devel
BuildRequires:  ghc-irc-client-devel
BuildRequires:  ghc-irc-dcc-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-path-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-exceptions-devel
BuildRequires:  ghc-signal-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-compat-devel

%description
XDCC (eXtended DCC) is a protocol used by IRC bots to make files available for
transfer. This utility can be used to retrieve such files.

See <https://github.com/JanGe/xdcc/blob/master/README.md> for usage
instructions.

See <https://de.wikipedia.org/wiki/XDCC> for more details.

%prep
%setup -q
cp -p %{SOURCE1} %{name}.cabal

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%doc LICENSE
%{_bindir}/%{name}

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jun 19 2017 psimons@suse.com
- Update to version 1.1.4 revision 3.
* Tue May 16 2017 psimons@suse.com
- Update to version 1.1.4 revision 1 with cabal2obs.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 1.1.4 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.1.3 revision 0 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 1.0.6 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.0.4 revision 0 with cabal2obs.
